# InitBuild

API Documentation: | `InitBuild`

Generates a Gradle project structure.

### Properties

Property | Description
`testFramework` | Alternative test framework to be used in the generated project. This property can be set via command-line option '--test-framework'
`type` | The desired type of build to create, defaults to 'pom' if 'pom.xml' is found in project root if no pom.xml is found, it defaults to 'basic'. This property can be set via command-line option '--type'.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `testFramework`

Alternative test framework to be used in the generated project. This property can be set via command-line option '--test-framework'

Default:
  ``empty` (default test framework depends on the requested `type`)`

#### `String` `type`

The desired type of build to create, defaults to 'pom' if 'pom.xml' is found in project root if no pom.xml is found, it defaults to 'basic'. This property can be set via command-line option '--type'.

Default:
  ``empty` (or `pom` if a pom.xml file exists in the project directory)`